Download it now!
Bug 130742 - LibreOffice Start Center overlay icons aren't correct for Flat ODF documents
Summary: LibreOffice Start Center overlay icons aren't correct for Flat ODF documents
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.4.0.3 release
Hardware: All All
: medium trivial
Assignee: Heiko Tietze
URL:
Whiteboard: target:7.0.0 target:6.4.2
Keywords:
Depends on:
Blocks: Start-Center
  Show dependency treegraph
 
Reported: 2020-02-17 18:40 UTC by João Paulo
Modified: 2020-02-26 13:28 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Flat ODT icon shown on Start Center (incorrect icon) (137.92 KB, image/png)
2020-02-17 18:45 UTC, João Paulo
Details
Non-flat ODT icon shown on Start Center (correct icon) (135.67 KB, image/png)
2020-02-17 18:46 UTC, João Paulo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description João Paulo 2020-02-17 18:40:08 UTC
Description:
LibreOffice Start Center shows documents thumbnails with names and an overlay icon that identifies the module the document is opened with.  However, when a Flat ODF file is saved, the overlay icon shown is not of the correct module, but the main/blank module's icon.

Steps to Reproduce:
0. Running LibreOffice 6.4.0.3 on Windows 10.
1. Create a document and save it as ODF, such as a .ODT file.
2. Create another document and save it as Flat ODF, such as a .FODT file.
3. Close LibreOffice.
4. Reopen LibreOffice, but not any of its modules (as LibreOffice Writer), just the LibreOffice main executable.

Actual Results:
LibreOffice's Start Center shows the main/blank LibreOffice icon for each Flat ODF document (.FODT, .FODG, .FODS, .FODP) and the module's colored/filled icon for each non-flat (packaged/zipped) ODF document (.ODT, .ODG, .ODS, .ODP).

Expected Results:
LibreOffice's Start Center should show the module's colored/filled icon for any Flat ODF or non-flat (packaged/zipped) ODF document.


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
I'll submit the Start Page screen with the wrong icon for a Flat ODT (.FODT) file and the correct icon for a non-flat ODT (.ODT) file.

Also, this bug relates to the improvement made on Bug 125756, so maybe it started on 6.6.0.0.alpha0+.

Finally, someone should verify if this bug happens on other platforms, as I tested it only on Windows 10.
Comment 1 João Paulo 2020-02-17 18:42:20 UTC
Correction:  Maybe it started on 6.4.0.0.alpha+0.
Comment 2 João Paulo 2020-02-17 18:45:41 UTC
Created attachment 157960 [details]
Flat ODT icon shown on Start Center (incorrect icon)
Comment 3 João Paulo 2020-02-17 18:46:43 UTC
Created attachment 157961 [details]
Non-flat ODT icon shown on Start Center (correct icon)
Comment 4 V Stuart Foote 2020-02-17 20:55:11 UTC
Valid -> NEW

@Mike, Heiko *

Bug 125756, and reopen for additional work-- https://bugs.documentfoundation.org/show_bug.cgi?id=125756#c11 and #c12?
Comment 5 Heiko Tietze 2020-02-19 10:20:49 UTC
Wouldn't reopen the other ticket. I just used an existing function to retrieve the icon and there must be some better.
Comment 6 Heiko Tietze 2020-02-26 09:19:07 UTC
fodt,fods,fopd,fodg should be known now.
Comment 7 Commit Notification 2020-02-26 09:20:01 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f4b5b12fbe7eb0260119445ac39a28427fef3ee6

Resolves tdf#130742 - Flat ODF in start center

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2020-02-26 13:28:38 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/ff703b87e1f9872aeff36a47ac813390befc5522

Resolves tdf#130742 - Flat ODF in start center

It will be available in 6.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.